package com.example.ueberwachungssystem;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.io.File;
import java.util.List;

public class VideoListAdapter extends ArrayAdapter<File> {

    public VideoListAdapter(Context context, List<File> videoList) {
        super(context, 0, videoList);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = LayoutInflater.from(getContext()).inflate(R.layout.list_item_video, parent, false);
        }

        File videoFile = getItem(position);

        ImageView thumbnailImageView = convertView.findViewById(R.id.imageViewThumbnail);
        TextView titleTextView = convertView.findViewById(R.id.textViewTitle);

        // Set tag to identify the clicked item
        convertView.setTag(videoFile.getAbsolutePath());

        return convertView;
    }
}